Security Enhanced Linux Reference Policy

# Layer: services

## Module: rootlesskit

Interfaces Templates

### Description:

Policy for RootlessKit

### Interfaces:

rootlesskit_domtrans( domain )

##### Summary

Execute rootlesskit in the rootlesskit domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rootlesskit_exec( domain )

##### Summary

Execute rootlesskit in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rootlesskit_run( domain , role )

##### Summary

Execute rootlesskit in the rootlesskit domain, and allow the specified role the rootlesskit domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to be allowed the rootlesskit domain.

Return

### Templates:

rootlesskit_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for rootlesskit.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access.

Return